#include "derivative.h"

//generates sawtooth waveforms on both DAC pins

unsigned char count;

void main(void){

	 DDRJ |= 0x01;   //PJ0 is for user LED
	 
	 DAC0CTL = 0xc7;   //reduced voltage range; high drive; buffered DAC output
	 DAC1CTL = 0xc7;
	 count=0xff;
while(1){
  DAC0VOL=count;
  DAC1VOL=count;
  //Delay(2);       //use this delay to reduce frequency of sawtooth 
  count--;
  if (count==0)
    count=0xff;
  PTJ ^=0x01;  //toggle LED
}
}

void Delay(unsigned long constant)
{
  volatile unsigned long counter;

  for(counter=constant;counter>0;counter--);
}
  